Update tool server definition
curl --request PATCH \
--url https://api.devic.ai/v1/tool-servers/{toolServerId}/definition \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"toolDefinitions": [
{
"function": {
"name": "<string>",
"description": "<string>",
"strict": true,
"parameters": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": true
}
},
"type": "function",
"endpoint": "<string>",
"queryParametersKeys": [
"<string>"
],
"pathParametersKeys": [
"<string>"
],
"bodyPropertyKey": "<string>",
"customHeaders": [
{
"headerName": "<string>",
"value": "<string>"
}
],
"isFormDataBody": true,
"bodyJsonTemplate": "<string>",
"responsePostProcessingEnabled": true,
"responsePostProcessingTemplate": "<string>"
}
]
}
'import requests
url = "https://api.devic.ai/v1/tool-servers/{toolServerId}/definition"
payload = {
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"toolDefinitions": [
{
"function": {
"name": "<string>",
"description": "<string>",
"strict": True,
"parameters": {
"type": "<string>",
"properties": {},
"required": ["<string>"],
"additionalProperties": True
}
},
"type": "function",
"endpoint": "<string>",
"queryParametersKeys": ["<string>"],
"pathParametersKeys": ["<string>"],
"bodyPropertyKey": "<string>",
"customHeaders": [
{
"headerName": "<string>",
"value": "<string>"
}
],
"isFormDataBody": True,
"bodyJsonTemplate": "<string>",
"responsePostProcessingEnabled": True,
"responsePostProcessingTemplate": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
_id: '<string>',
name: '<string>',
description: '<string>',
toolDefinitions: [
{
function: {
name: '<string>',
description: '<string>',
strict: true,
parameters: {
type: '<string>',
properties: {},
required: ['<string>'],
additionalProperties: true
}
},
type: 'function',
endpoint: '<string>',
queryParametersKeys: ['<string>'],
pathParametersKeys: ['<string>'],
bodyPropertyKey: '<string>',
customHeaders: [{headerName: '<string>', value: '<string>'}],
isFormDataBody: true,
bodyJsonTemplate: '<string>',
responsePostProcessingEnabled: true,
responsePostProcessingTemplate: '<string>'
}
]
})
};
fetch('https://api.devic.ai/v1/tool-servers/{toolServerId}/definition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"toolDefinitions": [
{
"function": {
"name": "<string>",
"description": "<string>",
"strict": true,
"parameters": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": true
}
},
"type": "function",
"endpoint": "<string>",
"queryParametersKeys": [
"<string>"
],
"pathParametersKeys": [
"<string>"
],
"bodyPropertyKey": "<string>",
"customHeaders": [
{
"headerName": "<string>",
"value": "<string>"
}
],
"isFormDataBody": true,
"bodyJsonTemplate": "<string>",
"responsePostProcessingEnabled": true,
"responsePostProcessingTemplate": "<string>"
}
]
}Tool Servers
Update tool server definition
Updates the tool server definition (name, description, and/or tools).
PATCH
/
v1
/
tool-servers
/
{toolServerId}
/
definition
Update tool server definition
Authorizations
Use JWT token for authentication
Path Parameters
The unique identifier of the tool server
Body
application/json
⌘I